#
# spec file for package perl-DBIx-Class-Candy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DBIx-Class-Candy
Version:        0.005003
Release:        1.1
%define cpan_name DBIx-Class-Candy
Summary:        Sugar for your favorite ORM, DBIx::Class
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBIx-Class-Candy/
Source0:        https://cpan.metacpan.org/authors/id/F/FR/FREW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBIx::Class) >= 0.08123
BuildRequires:  perl(Lingua::EN::Inflect)
BuildRequires:  perl(MRO::Compat) >= 0.11
BuildRequires:  perl(Sub::Exporter) >= 0.982
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(namespace::clean) >= 0.18
Requires:       perl(DBIx::Class) >= 0.08123
Requires:       perl(Lingua::EN::Inflect)
Requires:       perl(MRO::Compat) >= 0.11
Requires:       perl(Sub::Exporter) >= 0.982
Requires:       perl(namespace::clean) >= 0.18
%{perl_requires}

%description
'DBIx::Class::Candy' is a simple sugar layer for definition of DBIx::Class
results. Note that it may later be expanded to add sugar for more
'DBIx::Class' related things. By default 'DBIx::Class::Candy':

  * turns on strict and warnings

  * sets your parent class

  * exports a bunch of the package methods that you normally use to define your
DBIx::Class results

  * makes a few aliases to make some of the original method names shorter or
more clear

  * defines very few new subroutines that transform the arguments passed to
them

It assumes a DBIx::Class::Core-like API, but you can tailor it to suit your
needs.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Jul 15 2017 coolo@suse.com
- updated to 0.005003
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.005003  2017-07-14 09:29:22-07:00 America/Los_Angeles
  - Stop depending on String::CamelCase (closes GH#15)
    (Good find Peter Rabbitson!)
* Mon May 23 2016 coolo@suse.com
- updated to 0.005002
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.005002  2016-04-29 09:20:41-07:00 America/Los_Angeles
  - Fix test issue when run under `prove -lr` (Thanks Peter Rabbitson!)
* Wed Nov 25 2015 coolo@suse.com
- updated to 0.005001
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.005001  2015-11-20 23:26:06-08:00 America/Los_Angeles
  - Fix test failure on Win32 (Thanks Peter Evans!)
* Tue Aug  4 2015 coolo@suse.com
- updated to 0.005000
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.005000  2015-08-02 20:37:38-07:00 America/Los_Angeles
  - Add 'singular' autotable version (Good idea Dagfinn Ilmari Mannsåker!)
    (Resolves GH#10)
* Thu Jul  2 2015 coolo@suse.com
- updated to 0.004001
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.004001  2015-07-01 15:13:21-07:00 America/Los_Angeles
  - Set C3 on ResultClasses in addition to ResultSets
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.004000
  see /usr/share/doc/packages/perl-DBIx-Class-Candy/Changes
  0.004000  2015-06-04 23:05:14-07:00 America/Los_Angeles
  - Add `-experimental` import
* Sat May  9 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
